%global _empty_manifest_terminate_build 0
Name:		python-ovs
Version:	2.13.3
Release:	1
Summary:	Open vSwitch library
License:	Apache 2.0
URL:		http://www.openvswitch.org/
Source0:	https://files.pythonhosted.org/packages/7f/77/237a1fa124f05d5965e70325e7d085cf5bbe10ac824137b5f4fcbd31869d/ovs-2.13.3.tar.gz
BuildArch:	noarch


%description


%package -n python3-ovs
Summary:	Open vSwitch library
Provides:	python-ovs
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-ovs


%package help
Summary:	Development documents and examples for ovs
Provides:	python3-ovs-doc
%description help


%prep
%autosetup -n ovs-2.13.3

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-ovs -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Thu May 20 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
